%global enable_tests 0

Name:       nodejs-fresh
Version:    0.1.0
Release:    2%{?dist}
Summary:    HTTP response freshness testing for Node.js
# License added upstream:
# https://github.com/visionmedia/node-fresh/commit/6e48234045
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/node-fresh
Source0:    http://registry.npmjs.org/fresh/-/fresh-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
This Node.js module provides HTTP response freshness testing, checking
the freshness of req and res headers.

When the cache is "fresh" true is returned, otherwise false is returned
to indicate that the cache is now stale.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fresh
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/fresh

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require should
%endif


%files
%doc Readme.md
%{nodejs_sitelib}/fresh


%changelog
* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-2
- document how to retrieve tests

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
